Debian Bug report logs - #710844
yubikey-val: Debconf abuse

version graph

Package: yubikey-val; Maintainer for yubikey-val is Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>; Source for yubikey-val is src:yubikey-val.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 2 Jun 2013 22:27:06 UTC

Severity: normal

Fixed in version yubikey-val/2.23-2

Done: Simon Josefsson <simon@josefsson.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>:
Bug#710844; Package yubikey-val. (Sun, 02 Jun 2013 22:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 02 Jun 2013 22:27:10 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: yubikey-val: Debconf abuse
Date: Sun, 02 Jun 2013 19:26:16 +0200
Package: yubikey-val
Version: N/A
Severity: normal

This package seems to use a debconf note to notify users without any
special action.

This is usually identified as "debconf abuse". Debconf notes should be
kept for for important notes that the user really should see, since
debconf will go to great pains to make sure the user sees it; halting
the install for them to press a key.  It's best to use these only for
warning about very serious problems, and the error datatype is often
more suitable.  

Please consider alternative ways to warn users such as entries in
NEWS.Debian, documentation in README.Debian or error template
datatype.

If you disagree with this bug report, you're suggested to tag this bug
report as "wontfix" rather than just close it.

Please notice that this text is standardized for all packages that use
debconf inappropriately (at least in the bug submitter's opinion).

-- System Information:
Debian Release: jessie/sid
Architecture: i386 (i686)

Kernel: Linux 3.8-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>:
Bug#710844; Package yubikey-val. (Tue, 04 Jun 2013 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>. (Tue, 04 Jun 2013 13:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 710844@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Christian Perrier <bubulle@debian.org>, 710844@bugs.debian.org
Cc: dain@yubico.com
Subject: Re: [Pkg-auth-maintainers] Bug#710844: yubikey-val: Debconf abuse
Date: Tue, 04 Jun 2013 15:04:19 +0200
Thanks.  To clarify, is this bug regard to the following debconf note:

jas@latte:~/src/yubikey-val-dpkg$ cat debian/yubikey-val.templates 
Template: yubikey-val/initial-client
Type: note
_Description: Initial API client
 An API client has been created to ease getting started.
 You can get the client secret by running:
 .
 user:~$ sudo ykval-export-clients
jas@latte:~/src/yubikey-val-dpkg$ 

Or something else?

If it is wrt to the note above, I agree with removing it and putting the
same information in README.Debian instead.

/Simon

sön 2013-06-02 klockan 19:26 +0200 skrev Christian Perrier:
> Package: yubikey-val
> Version: N/A
> Severity: normal
> 
> This package seems to use a debconf note to notify users without any
> special action.
> 
> This is usually identified as "debconf abuse". Debconf notes should be
> kept for for important notes that the user really should see, since
> debconf will go to great pains to make sure the user sees it; halting
> the install for them to press a key.  It's best to use these only for
> warning about very serious problems, and the error datatype is often
> more suitable.  
> 
> Please consider alternative ways to warn users such as entries in
> NEWS.Debian, documentation in README.Debian or error template
> datatype.
> 
> If you disagree with this bug report, you're suggested to tag this bug
> report as "wontfix" rather than just close it.
> 
> Please notice that this text is standardized for all packages that use
> debconf inappropriately (at least in the bug submitter's opinion).
> 
> -- System Information:
> Debian Release: jessie/sid
> Architecture: i386 (i686)
> 
> Kernel: Linux 3.8-1-686-pae (SMP w/2 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> _______________________________________________
> Pkg-auth-maintainers mailing list
> Pkg-auth-maintainers@lists.alioth.debian.org
> https://lists.alioth.debian.org/mailman/listinfo/pkg-auth-maintainers





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>:
Bug#710844; Package yubikey-val. (Wed, 05 Jun 2013 07:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>. (Wed, 05 Jun 2013 07:45:07 GMT) Full text and rfc822 format available.

Message #15 received at 710844@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Simon Josefsson <simon@josefsson.org>, 710844@bugs.debian.org
Cc: dain@yubico.com
Subject: Re: Bug#710844: [Pkg-auth-maintainers] Bug#710844: yubikey-val: Debconf abuse
Date: Wed, 5 Jun 2013 06:58:41 +0200
[Message part 1 (text/plain, inline)]
Quoting Simon Josefsson (simon@josefsson.org):
> Thanks.  To clarify, is this bug regard to the following debconf note:

Yes. Sorry for not having this clearer : the text I use is standard
and does not mention the debconf template (in the case of your
package, there's however no ambiguity as, AFAIK, there is only one template..:-))

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>:
Bug#710844; Package yubikey-val. (Wed, 05 Jun 2013 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>. (Wed, 05 Jun 2013 11:39:04 GMT) Full text and rfc822 format available.

Message #20 received at 710844@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Christian PERRIER <bubulle@debian.org>, 710844@bugs.debian.org
Cc: dain@yubico.com
Subject: Re: [Pkg-auth-maintainers] Bug#710844: Bug#710844: yubikey-val: Debconf abuse
Date: Wed, 05 Jun 2013 13:37:06 +0200
ons 2013-06-05 klockan 06:58 +0200 skrev Christian PERRIER:
> Quoting Simon Josefsson (simon@josefsson.org):
> > Thanks.  To clarify, is this bug regard to the following debconf note:
> 
> Yes. Sorry for not having this clearer : the text I use is standard
> and does not mention the debconf template (in the case of your
> package, there's however no ambiguity as, AFAIK, there is only one template..:-))

I just wanted to make sure I hadn't overlooked anything.  We will drop
the debconf stuff altogether and move the information README.Debian.

/Simon




Reply sent to Simon Josefsson <simon@josefsson.org>:
You have taken responsibility. (Fri, 06 Sep 2013 07:39:13 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Fri, 06 Sep 2013 07:39:13 GMT) Full text and rfc822 format available.

Message #25 received at 710844-close@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 710844-close@bugs.debian.org
Subject: Bug#710844: fixed in yubikey-val 2.23-2
Date: Fri, 06 Sep 2013 07:33:13 +0000
Source: yubikey-val
Source-Version: 2.23-2

We believe that the bug you reported is fixed in the latest version of
yubikey-val, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Josefsson <simon@josefsson.org> (supplier of updated yubikey-val package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Sep 2013 20:20:26 +0200
Source: yubikey-val
Binary: yubikey-val
Architecture: source all
Version: 2.23-2
Distribution: unstable
Urgency: low
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Changed-By: Simon Josefsson <simon@josefsson.org>
Description: 
 yubikey-val - One-Time Password (OTP) validation server for YubiKey tokens
Closes: 710844
Changes: 
 yubikey-val (2.23-2) unstable; urgency=low
 .
   [ Dain Nilsson ]
   * Removed debconf note (closes: #710844).
Checksums-Sha1: 
 7e28b559258c8bef3571b51f6bff33a078ef8230 1736 yubikey-val_2.23-2.dsc
 00c5cb77412fcb8a2704f5d20b006f4d9716f236 5721 yubikey-val_2.23-2.debian.tar.gz
 aa204183a368395a183e1cdcc9f3ad2f9f42f454 59974 yubikey-val_2.23-2_all.deb
Checksums-Sha256: 
 1f331b83e3131d3fa136d781288e77431a7d5223cc3ed71936e75c0ec76f03fd 1736 yubikey-val_2.23-2.dsc
 bf1cb7dc45528487fcfd8821547dfdbf7ef6a512be6938ee4564a0d99e262691 5721 yubikey-val_2.23-2.debian.tar.gz
 6def6c0fc5dd3748e4d3356281b642f8219657751825a4faa4fad0a71be7cb76 59974 yubikey-val_2.23-2_all.deb
Files: 
 d9109d766438d6536b9527acb70c7726 1736 net extra yubikey-val_2.23-2.dsc
 1640f3c4351245c207d8ff0b4192da23 5721 net extra yubikey-val_2.23-2.debian.tar.gz
 79fdb084e5e8c72d165f25ec54f41ca5 59974 net extra yubikey-val_2.23-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJSKMvzAAoJEGDO5xEQXnIucQcIAJCFFinES6fnSAVmSQnbkYHt
gl8KhI51L8XG2evMmtiJgknII2+B3+zejlVY8hhMZy8cX6aC4OsoKEXj+fhGdmpK
11JTaycFJpr8SGW3L6ExV2r4aj3xKV1Nz/9AE5zA3/n2xb6ijMPZAR4FZWQTjXnv
g/GqelTawGqZq7upI/xkUwKmj11XaRo3mJWYv0frVrMchG89Ak+8DNXMBxzI/bsX
bvIcglZkuUXatkz32HhdQqvfl5/O1JYYcAzBNFue/pb3TDojmVPRwyPjM9m/gq6J
dKSKVIGyixT7gpRxJ3rRKmrPZSLw6VtakfpA633kicQSmvl34LIoZMHN85dd8dw=
=cLe3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Oct 2013 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:20:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.